function boxsurface(MM,color)

hold on;

% color is an RGB triple, e.g. [1 0 0] for red
c = zeros(6,4,3);
for i = 1:3
  c(:,:,i) = color(i);
end

for i = 1:size(MM,2)

  xmin = MM(1,i)-MM(4,i);
  xmax = MM(1,i)+MM(4,i);
  ymin = MM(2,i)-MM(5,i);
  ymax = MM(2,i)+MM(5,i);
  zmin = MM(3,i)-MM(6,i);
  zmax = MM(3,i)+MM(6,i);
  nan = NaN(size(xmin));

  %defines a box net with NaN around the edges:
  x=[
     nan xmin xmax nan
    xmin xmin xmax xmax
    xmin xmin xmax xmax
     nan xmin xmax nan
     nan xmin xmax nan
     nan nan nan nan
     ];

  y=[
     nan ymin ymin nan
    ymin ymin ymin ymin
    ymax ymax ymax ymax
     nan ymax ymax nan
     nan ymin ymin nan
     nan nan nan nan
     ];

  z=[
     nan zmin zmin nan
    zmin zmax zmax zmin
    zmin zmax zmax zmin
     nan zmin zmin nan
     nan zmin zmin nan
     nan nan nan nan
     ];

  surf(x,y,z,c);
end
hold off;