function matfiletobin(base,nprocs)

fclose all;
if nprocs ~=1
    for p=1:nprocs
        name=strcat(base,'_');
        name=strcat(name,int2str(p-1));
        zfile=fopen(strcat(name,'.dat'),'w');
        matfile=load(strcat(name,'.mat'));
        vars=fieldnames(matfile);
        zin=matfile.(vars{1});
        N = size(zin,1);
        dim = size(zin,2);
        zout = zeros(dim*N,1);
        for j=1:dim
            zout(N*(j-1)+1:N*j)=zin(:,j);
        end
        fwrite(zfile,zout,'double');
        fclose(zfile);
    end
else
    name=strcat(base,'.dat');
    zfile=fopen(name,'w');
    zin=load(strcat(base,'.mat'));
    vars=fieldnames(zin);
    zin=zin.(vars{1});
    N = size(zin,1);
    dim = size(zin,2);
    zout = zeros(dim*N,1);
    for j=1:dim
        zout(N*(j-1)+1:N*j)=zin(:,j);
    end
    fwrite(zfile,zout,'double');
    fclose(zfile);
end

