ex_path="./experiments/paramsweep/scripts/paramsweep.sh"
scenarios=("spiral100000" "random100000" "gaussian100000" "shell100000")
num_process=1
mpi_opts="-n $num_process"
fmm3d_path=./fmm3d
paramsweep_dir=./experiments/paramsweep
result_dir=${paramsweep_dir}/results
scenario_dir=${paramsweep_dir}/scenarios

eta=1
Nlevels=3
theta=0.5

log_dir="${result_dir}/bench/"
if [ -d "$log_dir" ]; then
   echo Defult directory already exists.
else
    for scenario_name in "${scenarios[@]}"
    do
	mkdir -p "$log_dir"
	mfile="${scenario_dir}/${scenario_name}/m.mat"
	zfile="${scenario_dir}/${scenario_name}/z.mat"
	opt="$mpi_opts $fmm3d_path -T $theta -n $eta -l $Nlevels -z $zfile -m $mfile"
	echo "$mpi_opts $fmm3d_path -T $theta -n $eta -l $Nlevels -z $zfile -m $mfile"
	echo $log_dir
	mpirun $opt > "${log_dir}${scenario_name}.log"
    done
fi
log_dir="${result_dir}/bench2/"
for scenario_name in "${scenarios[@]}"
do
    mkdir -p "$log_dir"
    mfile="${scenario_dir}/${scenario_name}/m.mat"
    zfile="${scenario_dir}/${scenario_name}/z.mat"
    opt="$mpi_opts $fmm3d_path -T $theta -n $eta -l $Nlevels -z $zfile -m $mfile"
    echo "$mpi_opts $fmm3d_path -T $theta -n $eta -l $Nlevels -z $zfile -m $mfile"
    echo "$log_dir"
    mpirun $opt > "${log_dir}${scenario_name}.log"
done
